# 
# Copyright (c) Contributors to the Open 3D Engine Project. 
# For complete copyright and license terms please see the LICENSE at the root of this distribution. 
# 
# SPDX-License-Identifier: Apache-2.0 OR MIT 
# 

set(FILES
    Materials/DynamicMaterialTest/EmissiveFunctor.lua
    Materials/DynamicMaterialTest/EmissiveMaterial.azsl
    Materials/DynamicMaterialTest/EmissiveMaterial.shader
    Materials/DynamicMaterialTest/EmissiveWithCppFunctors.materialtype
    Materials/DynamicMaterialTest/EmissiveWithLuaFunctors.materialtype
    Materials/Types/MinimalMultilayerPBR.materialtype
    Materials/Types/MinimalMultilayerPBR_ForwardPass.azsl
    Materials/Types/MinimalMultilayerPBR_ForwardPass.shader
    Passes/CheckerboardPipeline.pass
    Passes/Fullscreen.pass
    Passes/FullscreenPipeline.pass
    Passes/MultiGPUPipeline.pass
    Passes/MultiGPUCopyBufferToBuffer.pass
    Passes/MultiGPUCopyBufferToImage.pass
    Passes/MultiGPUCopyImageToBuffer.pass
    Passes/MultiGPUCopyTestPipeline.pass
    Passes/MultiGPUCompositePass.pass
    Passes/MultiGPUTrianglePass.pass
    Passes/RayTracingAmbientOcclusion.pass
    Passes/ReadbackFiller.pass
    Passes/ReadbackPipeline.pass
    Passes/ReadbackPreview.pass
    Passes/RenderTexture.pass
    Passes/RHISamplePass.pass
    Passes/RHISamplePipeline.pass
    Passes/SelectorPass.pass
    Passes/SsaoPipeline.pass
    Passes/ASV/PassTemplates.azasset
    scripts/AreaLightTest.bv.lua
    scripts/AuxGeom.bv.lua
    scripts/CheckerboardTest.bv.lua
    scripts/CullingAndLod.bv.lua
    scripts/Decals.bv.lua
    scripts/DepthOfFieldTest.bv.lua
    scripts/DiffuseGITest.bv.lua
    scripts/DynamicDraw.bv.lua
    scripts/DynamicMaterialTest.bv.lua
    scripts/ExposureTest.bv.lua
    scripts/EyeMaterialTest.bv.lua
    scripts/LightCulling.bv.lua
    scripts/MaterialScreenshotTests.bv.lua
    scripts/MSAA_RPI_Test.bv.lua
    scripts/MultiRenderPipeline.bv.lua
    scripts/MultiScene.bv.lua
    scripts/ParallaxDepthArtifacts.bv.lua
    scripts/ParallaxTest.bv.lua
    scripts/PassTree.bv.lua
    scripts/ReadbackTest.bv.lua
    scripts/RenderTargetTexture.bv.lua
    scripts/SceneReloadSoakTest.bv.lua
    scripts/ShaderReloadSoakTest.bv.lua
    scripts/ShadowedSponzaTest.bv.lua
    scripts/ShadowTest.bv.lua
    scripts/SkinnedMesh.bv.lua
    scripts/StreamingImageTest.bv.lua
    scripts/TestEnvironment.lua
    scripts/TransparentTest.bv.lua
    scripts/_AutomatedPeriodicBenchmarkSuite_.bv.lua
    scripts/_FullTestSuite_.bv.lua
    Shaders/DebugVertexNormals.azsl
    Shaders/DebugVertexNormals.materialtype
    Shaders/DebugVertexNormals.shader
    Shaders/Instanced.azsl
    Shaders/DynamicDraw/DynamicDrawExample.azsl
    Shaders/DynamicDraw/DynamicDrawExample.shader
    Shaders/MultiGPURPIExample/Composite.azsl
    Shaders/MultiGPURPIExample/Composite.shader
    Shaders/MultiGPURPIExample/Triangle.azsl
    Shaders/MultiGPURPIExample/Triangle.shader
    Shaders/OptimizationTests/DummyTransformColor.azsl
    Shaders/OptimizationTests/DummyTransformColor.shader
    Shaders/PostProcessing/ColorInvertCS.azsl
    Shaders/PostProcessing/ColorInvertCS.shader
    Shaders/RayTracing/RTAOClosestHit.azsl
    Shaders/RayTracing/RTAOClosestHit.shader
    Shaders/RayTracing/RTAODefines.azsli
    Shaders/RayTracing/RTAOGeneration.azsl
    Shaders/RayTracing/RTAOGeneration.shader
    Shaders/RayTracing/RTAOMiss.azsl
    Shaders/RayTracing/RTAOMiss.shader
    Shaders/Readback/Filler.azsl
    Shaders/Readback/Filler.shader
    Shaders/Readback/Preview.azsl
    Shaders/Readback/Preview.shader
    Shaders/RHI/AsyncComputeLuminanceMap.azsl
    Shaders/RHI/AsyncComputeLuminanceMap.shader
    Shaders/RHI/AsyncComputeLuminanceReduce.azsl
    Shaders/RHI/AsyncComputeLuminanceReduce.shader
    Shaders/RHI/AsyncComputeShadow.azsl
    Shaders/RHI/AsyncComputeShadow.shader
    Shaders/RHI/AsyncComputeTonemapping.azsl
    Shaders/RHI/AsyncComputeTonemapping.shader
    Shaders/RHI/BindlessPrototype.azsl
    Shaders/RHI/BindlessPrototype.shader
    Shaders/RHI/BindlessPrototypeSrg.azsli
    Shaders/RHI/ColorMesh.azsl
    Shaders/RHI/ColorMesh.shader
    Shaders/RHI/Compute.azsli
    Shaders/RHI/ComputeDispatch.azsl
    Shaders/RHI/ComputeDispatch.shader
    Shaders/RHI/ComputeDraw.azsl
    Shaders/RHI/ComputeDraw.shader
    Shaders/RHI/CopyQueue.azsl
    Shaders/RHI/CopyQueue.shader
    Shaders/RHI/DualSourceBlending.azsl
    Shaders/RHI/DualSourceBlending.shader
    Shaders/RHI/IndirectDispatch.azsl
    Shaders/RHI/IndirectDispatch.shader
    Shaders/RHI/IndirectDraw.azsl
    Shaders/RHI/IndirectDraw.shader
    Shaders/RHI/IndirectRendering.azsli
    Shaders/RHI/InputAssemblyCompute.azsl
    Shaders/RHI/InputAssemblyCompute.shader
    Shaders/RHI/InputAssemblyDraw.azsl
    Shaders/RHI/InputAssemblyDraw.shader
    Shaders/RHI/MatrixAlignmentTest.azsl
    Shaders/RHI/MatrixAlignmentTest.shader
    Shaders/RHI/MRTScreen.azsl
    Shaders/RHI/MRTScreen.shader
    Shaders/RHI/MRTTarget.azsl
    Shaders/RHI/MRTTarget.shader
    Shaders/RHI/MSAAResolve.azsl
    Shaders/RHI/MSAAResolve.shader
    Shaders/RHI/MultiGPUComposite.azsl
    Shaders/RHI/MultiGPUComposite.shader
    Shaders/RHI/MultipleViewsDepth.azsl
    Shaders/RHI/MultipleViewsDepth.shader
    Shaders/RHI/MultipleViewsShadow.azsl
    Shaders/RHI/MultipleViewsShadow.shader
    Shaders/RHI/Multithread.azsl
    Shaders/RHI/Multithread.shader
    Shaders/RHI/RayTracingClosestHitGradient.azsl
    Shaders/RHI/RayTracingClosestHitGradient.shader
    Shaders/RHI/RayTracingClosestHitSolid.azsl
    Shaders/RHI/RayTracingClosestHitSolid.shader
    Shaders/RHI/RayTracingCommon.azsli
    Shaders/RHI/RayTracingDispatch.azsl
    Shaders/RHI/RayTracingDispatch.shader
    Shaders/RHI/RayTracingDraw.azsl
    Shaders/RHI/RayTracingDraw.shader
    Shaders/RHI/RayTracingMiss.azsl
    Shaders/RHI/RayTracingMiss.shader
    Shaders/RHI/SHDemo.azsl
    Shaders/RHI/SHDemo.shader
    Shaders/RHI/SHRender.azsl
    Shaders/RHI/SHRender.shader
    Shaders/RHI/Stencil.azsl
    Shaders/RHI/Stencil.shader
    Shaders/RHI/SubpassInputComposition.azsl
    Shaders/RHI/SubpassInputComposition.shader
    Shaders/RHI/SubpassInputGBuffer.azsl
    Shaders/RHI/SubpassInputGBuffer.shader
    Shaders/RHI/SubpassInputModelSrg.azsli
    Shaders/RHI/SubpassInputSceneSrg.azsli
    Shaders/RHI/Texture.azsl
    Shaders/RHI/Texture.shader
    Shaders/RHI/Texture3d.azsl
    Shaders/RHI/Texture3d.shader
    Shaders/RHI/TextureArray.azsl
    Shaders/RHI/TextureArray.shader
    Shaders/RHI/TexturedSurface.azsl
    Shaders/RHI/TexturedSurface.shader
    Shaders/RHI/TextureMap1D.azsl
    Shaders/RHI/TextureMap1D.shader
    Shaders/RHI/TextureMap1DArray.azsl
    Shaders/RHI/TextureMap1DArray.shader
    Shaders/RHI/TextureMap2DArray.azsl
    Shaders/RHI/TextureMap2DArray.shader
    Shaders/RHI/TextureMap3D.azsl
    Shaders/RHI/TextureMap3D.shader
    Shaders/RHI/TextureMapCubemap.azsl
    Shaders/RHI/TextureMapCubemap.shader
    Shaders/RHI/TextureMapCubemapArray.azsl
    Shaders/RHI/TextureMapCubemapArray.shader
    Shaders/RHI/TextureMapTarget.azsl
    Shaders/RHI/TextureMapTarget.shader
    Shaders/RHI/Triangle.azsl
    Shaders/RHI/Triangle.shader
    Shaders/RHI/TrianglesConstantBuffer.azsl
    Shaders/RHI/TrianglesConstantBuffer.shader
    Shaders/RootConstantsExample/ColorMesh.azsl
    Shaders/RootConstantsExample/ColorMesh.shader
    Shaders/StreamingImageExample/Image3d.azsl
    Shaders/StreamingImageExample/Image3d.shader
    Shaders/StreamingImageExample/ImageMips.azsl
    Shaders/StreamingImageExample/ImageMips.shader
    Shaders/TonemappingExample/RenderImage.azsl
    Shaders/TonemappingExample/RenderImage.shader
) 
